Skip to main content

Topic: How to install otter on Debian testing. (Read 531 times)

  • bluedragon77
  • [*]
How to install otter on Debian testing.
There is some packkaging troublee ATM with Debian testing in that some packages are stuck in unstable. That is not a problem for packages that are in the Debian repositories, but it is a problem for packages outside the repositories.

Luckily I found a workaround.

The packages that are missing for me were
libhunspell-1.3-0 and qtbase-abi-5-3-2(which is just a virtual package)

First I tried to install otter with gdebi so that it installs any and all dependencies it can install and tells me which ones I am missing.

I installed libhunspell by manually downloading libhunspell-1.3-0 from the unstable repository from here and then installing that package with gdebi:
https://packages.debian.org/sid/libhunspell-1.3-0
Then I did sudo apt install libqt5core5a (which provides functionalities that otter needs from the qtbase-abi
Unfortunately I could not install qtbase-abi-5-3-2 itself at all, so I just skipped that.
If you had any other missing dependencies you can install them by using the same methods I used.
Then I just in case uninstalled otter.
I reinstalled it by downloading the latest weekly package and doing sudo dpkg -i name-of-otters-deb-package.deb
And now I am writing this from my Otter-browser on Debian testing.